com.google.appengine.tools.development

## Enum ContainerService.EnvironmentVariableMismatchSeverity

- java.lang.Object
- - java.lang.Enum<ContainerService.EnvironmentVariableMismatchSeverity>
  - - com.google.appengine.tools.development.ContainerService.EnvironmentVariableMismatchSeverity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContainerService.EnvironmentVariableMismatchSeverity>
  Enclosing interface:
    ContainerService

      public static enum ContainerService.EnvironmentVariableMismatchSeverity
      extends java.lang.Enum<ContainerService.EnvironmentVariableMismatchSeverity>

  The severity with which we'll treat environment variable mismatches.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `IGNORE`
    `WARNING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContainerService.EnvironmentVariableMismatchSeverity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContainerService.EnvironmentVariableMismatchSeverity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WARNING

          public static final ContainerService.EnvironmentVariableMismatchSeverity WARNING

    - #### ERROR

          public static final ContainerService.EnvironmentVariableMismatchSeverity ERROR

    - #### IGNORE

          public static final ContainerService.EnvironmentVariableMismatchSeverity IGNORE

  - ### Method Detail

    - #### values

          public static ContainerService.EnvironmentVariableMismatchSeverity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContainerService.EnvironmentVariableMismatchSeverity c : ContainerService.EnvironmentVariableMismatchSeverity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContainerService.EnvironmentVariableMismatchSeverity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null